/*
 * Copyright 2008 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import org.codehaus.groovy.grails.commons.GrailsClassUtils as GCU

/**
 * 
 * @author Tsuyoshi Yamamoto
 */

grailsHome = Ant.project.properties."environment.GRAILS_HOME"

includeTargets << new File ( "${grailsHome}/scripts/Init.groovy" )  

target('default': "The description of the script goes here!") {
    downloadJars()
}

target(downloadJars: "Download jar file") {
  Ant.sequential {
    def mailjar = new File("${basedir}/lib/mail-1.4.jar")
    if(!mailjar.exists()){
      println "Downloading mail.jar ..."
      get(dest: "${basedir}/lib/mail-1.4.jar",
        src: "http://repo1.maven.org/maven2/javax/mail/mail/1.4/mail-1.4.jar",
        verbose: true,
        usetimestamp: true)
    }
    def activationjar = new File("${basedir}/lib/activation-1.1.jar")
    if(!activationjar.exists()){
      println "Downloading activation.jar ..."
      get(dest: "${basedir}/lib/activation-1.1.jar",
        src: "http://repo1.maven.org/maven2/javax/activation/activation/1.1/activation-1.1.jar",
        verbose: true,
        usetimestamp: true)
    }
  }
}