/*
 * Copyright 2008 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.grails.plugins.email.artefact;

import org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass;
import groovy.lang.Closure;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Set;
import org.springframework.util.StringUtils;

/**
 * 
 * @author Tsuyoshi Yamamoto
 */
public class DefaultGrailsEmailClass 
  extends AbstractInjectableGrailsClass implements GrailsEmailClass {
  public static final String TYPE="Email";
    
  public DefaultGrailsEmailClass(Class clazz){
    super(clazz, TYPE);

  }
  /**
   * replace @...@ tags and returns mail text
   */
  public String getText(LinkedHashMap params){
    Closure message = (Closure)getPropertyValue("message");
    String text = (String)message.call();
    Set set = params.keySet();
    Iterator iterator = set.iterator();
    while(iterator.hasNext()){
      Object obj = iterator.next();
      Object replace = params.get(obj);
      if(replace!=null){
        text = StringUtils.replace(text, "@"+obj.toString()+"@",replace.toString());
      }
    }
    return text;
  }
}